{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "1.1.4 Пользователь--Информация о пользователе-Перемещение на карте" %}


{% block heading %}
    <div class="content-header justify-content-between d-flex flex-wrap align-items-center mb-1">
        <ol class="content-header__breadcrumb breadcrumb mb-50">
            <li class="breadcrumb-item">
                <a href="#">Пользователи</a>
            </li>
            <li class="breadcrumb-item">
                <a href="#">Кузьмин П.Г.</a>
            </li>
            <li class="breadcrumb-item active" aria-current="page">Перемещение на карте</li>
        </ol>
    </div><!-- .content-header -->
{% endblock %}

{% block main %}

    <div class="main-row">
        <div class="main-sidebar">
           <ul class="sidenav">
               <li class="sidenav__item">
                   <a class="sidenav__link" href="#">
                       <i class="bx bx-help-circle"></i>
                       <span class="sidenav__title">Общая информация</span>
                   </a>
               </li><!-- .sidenav__item -->
               <li class="sidenav__item">
                   <a href="#">
                       <i class="bx bx-key"></i>
                       <span class="sidenav__title">Права доступа</span>
                   </a>
               </li><!-- .sidenav__item -->
               <li class="sidenav__item">
                   <a href="#">
                       <i class="bx bx-pulse"></i>
                       <span class="sidenav__title">Статистика входа</span>
                   </a>
               </li><!-- .sidenav__item -->
               <li class="sidenav__item">
                   <a href="#">
                       <i class="bx bxs-lock-open"></i>
                       <span class="sidenav__title">Смена пароля</span>
                   </a>
               </li><!-- .sidenav__item -->
               <li class="sidenav__item active">
                   <a href="#">
                       <i class="bx bx-map-alt"></i>
                       <span class="sidenav__title">Перемещение на карте</span>
                   </a>
               </li><!-- .sidenav__item -->
           </ul>
        </div><!-- .main-sidebar -->
        <div class="main-content">
            <div class="card">
                <div class="card-body">
                    <div class="moving-map mb-2" id="moving-map"></div>
                    <div class="form-group" style="max-width: 700px;">
                        <label class="form-label">период:</label>
                        <input type="text" class="form-control daterange" placeholder="укажите период" value="10/07/2021 - 11/25/2021">
                    </div><!-- .form-group -->
                    <button class="btn btn-primary shadow">Применить</button>
                </div><!-- .card-body -->
            </div><!-- .card -->
        </div><!-- .main-content -->
    </div><!-- .main-row -->

{% endblock %}


{% block scripts %}
    <script src="https://api-maps.yandex.ru/2.1/?apikey=89e58c06-5d58-4418-99df-35829b46b183&lang=ru_RU" type="text/javascript"></script>
    <script>
        function init() {
            // Задаём точки мультимаршрута.
            var pointA = [55.7705,37.6269],
                pointB = [55.7760,37.6123],
                /**
                 * Создаем мультимаршрут.
                 * @see https://api.yandex.ru/maps/doc/jsapi/2.1/ref/reference/multiRouter.MultiRoute.xml
                 */
                multiRoute = new ymaps.multiRouter.MultiRoute({
                    referencePoints: [
                        pointA,
                        pointB
                    ],
                    params: {
                        //Тип маршрутизации - пешеходная маршрутизация.
                        routingMode: 'pedestrian'
                    }
                }, {
                    // Автоматически устанавливать границы карты так, чтобы маршрут был виден целиком.
                    boundsAutoApply: true
                });



            // Создаем карту с добавленной на нее кнопкой.
            var myMap = new ymaps.Map('moving-map', {
                center: [55.7721,37.6202],
                zoom: 8,
                controls: ['smallMapDefaultSet']
            }, {
                buttonMaxWidth: 300
            });

            // Добавляем мультимаршрут на карту.
            myMap.geoObjects.add(multiRoute);
        }

        ymaps.ready(init);
    </script>
{% endblock %}
